Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jini.rio.watch
Class CalculableDisplayAttributes

    java.lang.Object
      org.jini.rio.watch.CalculableDisplayAttributes

All Implemented Interfaces:
  Serializable

    public class CalculableDisplayAttributes

extends Object
implements Serializable

Default attributes to display when providing rendering support for a Calculable

See Also:
  Serialized Form

Constructor Summary
`CalculableDisplayAttributes()` Creates new CalculableDisplay
`CalculableDisplayAttributes(String yLegend, FontDescriptor yLegendFont, int yScale, NumberFormat yFormat, String xLegend, FontDescriptor xLegendFont, int xScale, NumberFormat xFormat, String title, FontDescriptor titleFont, Class calculableClass)` Creates new CalculableDisplay with provided inputs:

Method Summary
`BeanInfo` | `getCalculableBeanInfo()`
`Class` | `getCalculableClass()` Getter for property calculableClass.
`String` | `getTitle()` Getter for property title.
`FontDescriptor` | `getTitleFont()` Getter for property titleFont.
`NumberFormat` | `getXFormat()` Getter for property xFormat.
`String` | `getXLegend()` Getter for property xLegend.
`FontDescriptor` | `getXLegendFont()` Getter for property xLegendFont.
`int` | `getXScale()` Getter for property xScale.
`NumberFormat` | `getYFormat()` Getter for property yFormat.
`String` | `getYLegend()` Getter for property yLegend.
`FontDescriptor` | `getYLegendFont()` Getter for property yLegendFont.
`int` | `getYScale()` Getter for property yScale.
`void` | `setCalculableClass(Class calculableClass)` Setter for property calculableClass.
`void` | `setTitle(String title)` Setter for property title.
`void` | `setTitleFont(FontDescriptor titleFont)` Setter for property titleFont.
`void` | `setXFormat(NumberFormat xFormat)` Setter for property xFormat.
`void` | `setXLegend(String xLegend)` Setter for property xLegend.
`void` | `setXLegendFont(FontDescriptor xLegendFont)` Setter for property xLegendFont.
`void` | `setXScale(int xScale)` Setter for property xScale.
`void` | `setYFormat(NumberFormat yFormat)` Setter for property yFormat.
`void` | `setYLegend(String yLegend)` Setter for property yLegend.
`void` | `setYLegendFont(FontDescriptor yLegendFont)` Setter for property yLegendFont.
`void` | `setYScale(int yScale)` Setter for property yScale.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CalculableDisplayAttributes

    public CalculableDisplayAttributes()

  Creates new CalculableDisplay

### CalculableDisplayAttributes

    public CalculableDisplayAttributes(String yLegend,
                                       FontDescriptor yLegendFont,
                                       int yScale,
                                       NumberFormat yFormat,
                                       String xLegend,
                                       FontDescriptor xLegendFont,
                                       int xScale,
                                       NumberFormat xFormat,
                                       String title,
                                       FontDescriptor titleFont,
                                       Class calculableClass)

  Creates new CalculableDisplay with provided inputs:

  Parameters:
    `yLegend` - String name of the Y Axis
    `yLegendFont` - Font to use for the Y Axis
    `yScale` - scale for the Y Axis
    `yFormat` - NumberFormat of the Y Axis
    `xLegend` - String name of the Y Axis
    `xLegendFont` - Font to use for the X Axis
    `xScale` - scale for the X Axis
    `xFormat` - NumberFormat of the X Axis
    `title` - String Title of the display, ex: Memory Usage
    `titleFont` - Font to use for the title
    `calculableClass` - Class Calculable class object for this display

Method Detail

### getYLegend

    public String getYLegend()

  Getter for property yLegend.

  Returns:
    Value of property yLegend.

### setYLegend

    public void setYLegend(String yLegend)

  Setter for property yLegend.

  Parameters:
    `yLegend` - New value of property yLegend.

### getYLegendFont

    public FontDescriptor getYLegendFont()

  Getter for property yLegendFont.

  Returns:
    Value of property yLegendFont.

### setYLegendFont

    public void setYLegendFont(FontDescriptor yLegendFont)

  Setter for property yLegendFont.

  Parameters:
    `yLegendFont` - New value of property yLegendFont.

### getYScale

    public int getYScale()

  Getter for property yScale.

  Returns:
    Value of property yScale.

### setYScale

    public void setYScale(int yScale)

  Setter for property yScale.

  Parameters:
    `yScale` - New value of property yScale.

### getYFormat

    public NumberFormat getYFormat()

  Getter for property yFormat.

  Returns:
    Value of property yFormat.

### setYFormat

    public void setYFormat(NumberFormat yFormat)

  Setter for property yFormat.

  Parameters:
    `yFormat` - New value of property yFormat.

### getXLegend

    public String getXLegend()

  Getter for property xLegend.

  Returns:
    Value of property xLegend.

### setXLegend

    public void setXLegend(String xLegend)

  Setter for property xLegend.

  Parameters:
    `xLegend` - New value of property xLegend.

### getXLegendFont

    public FontDescriptor getXLegendFont()

  Getter for property xLegendFont.

  Returns:
    Value of property xLegendFont.

### setXLegendFont

    public void setXLegendFont(FontDescriptor xLegendFont)

  Setter for property xLegendFont.

  Parameters:
    `xLegendFont` - New value of property xLegendFont.

### getXScale

    public int getXScale()

  Getter for property xScale.

  Returns:
    Value of property xScale.

### setXScale

    public void setXScale(int xScale)

  Setter for property xScale.

  Parameters:
    `xScale` - New value of property xScale.

### getXFormat

    public NumberFormat getXFormat()

  Getter for property xFormat.

  Returns:
    Value of property xFormat.

### setXFormat

    public void setXFormat(NumberFormat xFormat)

  Setter for property xFormat.

  Parameters:
    `xFormat` - New value of property xFormat.

### getTitle

    public String getTitle()

  Getter for property title.

  Returns:
    Value of property title.

### setTitle

    public void setTitle(String title)

  Setter for property title.

  Parameters:
    `title` - New value of property title.

### getTitleFont

    public FontDescriptor getTitleFont()

  Getter for property titleFont.

  Returns:
    Value of property titleFont.

### setTitleFont

    public void setTitleFont(FontDescriptor titleFont)

  Setter for property titleFont.

  Parameters:
    `titleFont` - New value of property titleFont.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getCalculableClass

    public Class getCalculableClass()

  Getter for property calculableClass.

  Returns:
    Value of property calculableClass.

### setCalculableClass

    public void setCalculableClass(Class calculableClass)

  Setter for property calculableClass.

  Parameters:
    `calculableClass` - New value of property calculableClass.

### getCalculableBeanInfo

    public BeanInfo getCalculableBeanInfo()
                                   throws IntrospectionException

  Throws:
    `IntrospectionException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Project Rio.